@ECHO OFF
REM ***********************************************************************
REM ** Change network name and join domain - set initial variables       **
REM ***********************************************************************

set nameFile=%1
set deployDir=%2
set Domain=%3
set DomainUser=%4
set DomainUserPassword=%5

REM ***********************************************************************
REM ** Restore old boot.ini file                                         **
REM ***********************************************************************

Attrib -r -s -h C:\boot.ini
copy %deployDir%\boot.ini C:\boot.ini
Attrib +r +s +h C:\boot.ini

REM ***********************************************************************
REM ** Make sure that Shared Folders has started - and check for files   **
REM ***********************************************************************

ECHO Waiting for Shared Folders to load...

net start "Virtual Machine Additions Shared Folder Service"

IF NOT EXIST %deployDir%\temp.cmd GOTO JOINDOMAIN
IF NOT EXIST %1 GOTO JOINDOMAIN

:RENAME

ECHO Renaming the virtual machine...

REM ***********************************************************************
REM ** Rename the virtual machine - set new name variable                **
REM ***********************************************************************

COPY %deployDir%\TEMP.CMD %temp%\TEMP1.CMD > nul
TYPE %nameFile% >> %temp%\TEMP1.CMD
CALL %temp%\TEMP1.CMD
DEL %temp%\TEMP1.CMD >nul

REM ***********************************************************************
REM ** Delete any old temporary files before proceding                   **
REM ***********************************************************************

del %temp%\tempChangeName.reg

REM ***********************************************************************
REM ** Create registry fragment                                          **
REM ***********************************************************************

echo REGEDIT4 > %temp%\tempChangeName.reg
echo. >> %temp%\tempChangeName.reg
echo [HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\ComputerName\ComputerName]>> %temp%\tempChangeName.reg
echo "ComputerName"="%REGNAME%" >> %temp%\tempChangeName.reg
echo. >> %temp%\tempChangeName.reg
echo [HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\Tcpip\Parameters]>> %temp%\tempChangeName.reg
echo "Hostname"="%REGNAME%" >> %temp%\tempChangeName.reg

REM ***********************************************************************
REM ** Load registry fragement                                           **
REM ***********************************************************************

regedit /s %temp%\tempChangeName.reg

REM ***********************************************************************
REM ** Delete registry fragment and name parameter file                  **
REM ***********************************************************************

del %temp%\tempChangeName.reg
del %nameFile%

GOTO REBOOT

:JOINDOMAIN

Echo Joining the virtual machine to the Domain...

REM ***********************************************************************
REM ** Joining the Domain - make sure that the worksation service has    **
REM **                      started                                      **
REM ***********************************************************************

net start workstation

REM ***********************************************************************
REM ** Use NETDOM to join the DOMAIN using the credentials of an         **
REM ** existing user.                                                    **
REM ***********************************************************************

%deployDir%\NETDOM\NETDOM /DOMAIN:%Domain% /USER:%Domain%\%DomainUser% /PASSWORD:%DomainUserPassword% MEMBER %computername% /JOINDOMAIN

REM ***************************************************************************
REM ** Alternatively you could just add the computer to the DOMAIN without   **
REM ** user credentials by pre-creating the account and using the following  **
REM ** command:                                                              **
REM **                                                                       **
REM ** %deployDir%\NETDOM\NETDOM /DOMAIN:%Domain% MEMBER %computername% /ADD **
REM **                                                                       **
REM ***************************************************************************

REM ***********************************************************************
REM ** Delete any old temporary files before proceding                   **
REM ***********************************************************************

del %temp%\tempAutoLogon.reg
del %temp%\tempRun.reg

REM ***********************************************************************
REM ** Create AutoLogon and Run on boot registry fragments               **
REM ***********************************************************************

echo REGEDIT4 > %temp%\tempAutoLogon.reg
echo. >> %temp%\tempAutoLogon.reg
echo [HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon]>> %temp%\tempAutoLogon.reg
echo "AutoAdminLogon"=dword:00000000 >> %temp%\tempAutoLogon.reg
echo "DefaultUserName"="" >> %temp%\tempAutoLogon.reg
echo "DefaultPassword"="" >> %temp%\tempAutoLogon.reg
echo "DefaultDomainName"="%computername%" >> %temp%\tempAutoLogon.reg

echo REGEDIT4 > %temp%\tempRun.reg
echo. >> %temp%\tempRun.reg
echo [HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Run]>> %temp%\tempRun.reg
echo "DeploymentScript"="" >> %temp%\tempRun.reg

REM ***********************************************************************
REM ** Load registry fragements                                          **
REM ***********************************************************************

regedit /s %temp%\tempAutoLogon.reg
regedit /s %temp%\tempRun.reg

REM ***********************************************************************
REM ** Delete registry fragments                                         **
REM ***********************************************************************

del %temp%\tempAutoLogon.reg
del %temp%\tempRun.reg

REM ***********************************************************************
REM ** Delete configuration files containing sensitive information       **
REM ***********************************************************************

del %deployDir%\deployprep.cmd
del %deployDir%\sysprep.inf

REM ***********************************************************************
REM ** Rename 'Welcome.exf' back to 'Welcome.exe' as we are now done     **
REM ***********************************************************************

ren %Systemroot%\Welcome.exf Welcome.exe

:REBOOT

REM ***********************************************************************
REM ** Reboot the local system immediately - with no warning             **
REM ***********************************************************************

%deployDir%\Shutdown\shutdown /l /y /r /c /t:0