@ECHO OFF

REM ***********************************************************************
REM ** Set deployment variables                                          **
REM ***********************************************************************

set DeployDir=c:\vpcdeply
set DeployDirDoubleSlash=c:\\vpcdeply
set nameFileDoubleSlash=z:\\name.txt
set AdminUser=Administrator
Set AdminPassword=newPassword
Set Domain=theDomain
Set DomainUser=theDomainUser
Set DomainUserPassword=theDomainUserPassword

ECHO Preparing for deployment...

REM ***********************************************************************
REM ** Backup C:\Boot.ini - this file gets reset during SysPrep          **
REM ***********************************************************************

Attrib -r -s -h C:\boot.ini
copy C:\boot.ini .
Attrib +r +s +h C:\boot.ini

REM ***********************************************************************
REM ** Rename 'Welcome.exe' as it interferes with the scripts            **
REM ***********************************************************************

ren %Systemroot%\Welcome.exe Welcome.exf

REM ***********************************************************************
REM ** Delete any old temporary files before proceeding                  **
REM ***********************************************************************

del %temp%\tempRun.reg > nul
del %temp%\tempAutoLogon.reg > nul

REM ***********************************************************************
REM ** Create Run on boot and AutoLogon registry fragments               **
REM ***********************************************************************

echo REGEDIT4 > %temp%\tempRun.reg
echo. >> %temp%\tempRun.reg
echo [HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Run]>> %temp%\tempRun.reg
echo "DeploymentScript"="%DeployDirDoubleSlash%\\changeName.cmd %nameFileDoubleSlash% %DeployDirDoubleSlash% %Domain% %DomainUser% %DomainUserPassword%" >> %temp%\tempRun.reg

echo REGEDIT4 > %temp%\tempAutoLogon.reg
echo. >> %temp%\tempAutoLogon.reg
echo [HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon]>> %temp%\tempAutoLogon.reg
echo "AutoAdminLogon"="1" >> %temp%\tempAutoLogon.reg
echo "DefaultUserName"="%AdminUser%" >> %temp%\tempAutoLogon.reg
echo "DefaultPassword"="%AdminPassword%" >> %temp%\tempAutoLogon.reg
echo "DefaultDomainName"="%computername%" >> %temp%\tempAutoLogon.reg

REM ***********************************************************************
REM ** Load registry fragments                                           **
REM ***********************************************************************

regedit /s %temp%\tempRun.reg
regedit /s %temp%\tempAutoLogon.reg

REM ***********************************************************************
REM ** Delete registry fragments                                         **
REM ***********************************************************************

del %temp%\tempRun.reg
del %temp%\tempAutoLogon.reg

REM ***********************************************************************
REM ** Sysprep the machine (defeat is required for retail media)         **
REM ***********************************************************************

Echo Running SysPrep...

cd %DeployDir%\Sysprep
sysprep %DeployDir%\sysprep.inf -quiet -reboot -defeat