@ECHO OFF
REM ***********************************************************************
REM ** Set initial variables                                             **
REM ***********************************************************************

set nameFile=%1
set Domain=%2
set DomainUser=%3
set DomainUserPassword=%4
set netdomPath=%5

REM ***********************************************************************
REM ** Make sure that Shared Folders has started - and check for files   **
REM ***********************************************************************

ECHO Waiting for Shared Folders and Workstation to load...

net start "Virtual Machine Additions Shared Folder Service"
net start workstation
cd %netdomPath%

REM ***********************************************************************
REM ** Rename the virtual machine - set new name variable                **
REM ***********************************************************************

If not exist temp.cmd goto NETDOM

COPY TEMP.CMD %temp%\TEMP1.CMD > nul
TYPE %nameFile% >> %temp%\TEMP1.CMD
CALL %temp%\TEMP1.CMD
DEL %temp%\TEMP1.CMD >nul

REM ***********************************************************************
REM ** Use NETDOM to join the DOMAIN using the credentials of an         **
REM ** existing user.                                                    **
REM ***********************************************************************

:NETDOM

Echo Joining the virtual machine to the Domain...

netdom join %computername% /DOMAIN:%Domain% /USERD:%DomainUser% /PASSWORDD:%DomainUserPassword%

ECHO Renaming the virtual machine...

If not exist temp.cmd goto END
If not exist %namefile% goto END

netdom renamecomputer %computername% /NewName:%REGNAME% /USERD:%DomainUser% /PASSWORDD:%DomainUserPassword% /FORCE /REBOOT

:END